package cn.ysk.cashier.dto.shop;

import cn.ysk.cashier.annotation.Query;
import lombok.Data;

import java.util.StringJoiner;

@Data
public class TbShopStorageQueryCriteria {
    /**
     * 模糊
     */
    @Query(type = Query.Type.INNER_LIKE)
    private String name;

    /**
     * 精确
     */
    @Query
    private Integer status;

    /**
     * 精确
     */
    @Query
    private String telphone;

    /**
     * 精确
     */
    @Query
    private Integer shopId;

    private Integer page = 0;
    private Integer size = 10;

    public void setShopId(Integer shopId) {
        if (shopId != null && shopId != 1) {
            this.shopId = shopId;
        }
    }

    public void setStatus(Integer status) {
        if (status != null) {
            this.status = status;
        }
    }
}
